# Uses of Class
javax.swing.JToolBar

Packages that use JToolBar
Package
Description
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.
javax.swing.plaf.metal
Provides user interface objects built according to the Java look and feel (once codenamed Metal), which is the default look and feel.

## Uses of JToolBar in javax.swing.plaf.basic

Fields in javax.swing.plaf.basic declared as JToolBar
Modifier and Type
Field
Description
`protected JToolBar`
BasicToolBarUI.DockingListener.`toolBar`
The instance of `JToolBar`.
`protected JToolBar`
BasicToolBarUI.`toolBar`
The instance of `JToolBar`.
Methods in javax.swing.plaf.basic with parameters of type JToolBar
Modifier and Type
Method
Description
`protected BasicToolBarUI.DragWindow`
BasicToolBarUI.`createDragWindow​(JToolBar toolbar)`
Returns an instance of `DragWindow`.
`protected JFrame`
BasicToolBarUI.`createFloatingFrame​(JToolBar toolbar)`
No longer used, use BasicToolBarUI.createFloatingWindow(JToolBar)
`protected RootPaneContainer`
BasicToolBarUI.`createFloatingWindow​(JToolBar toolbar)`
Creates a window which contains the toolbar after it has been dragged out from its container
Constructors in javax.swing.plaf.basic with parameters of type JToolBar
Modifier
Constructor
Description
``
`DockingListener​(JToolBar t)`
Constructs a new instance of `DockingListener`.

## Uses of JToolBar in javax.swing.plaf.metal

Constructors in javax.swing.plaf.metal with parameters of type JToolBar
Modifier
Constructor
Description
``
`MetalDockingListener​(JToolBar t)`
Constructs the `MetalDockingListener`.